{
  "name": "coveriteam-service-client",
  "displayName": "CoVeriTeam Service Client",
  "description": "",
  "version": "0.0.1",
  "engines": {
    "vscode": "^1.74.0"
  },
  "categories": [
    "Other"
  ],
  "activationEvents": [],
  "main": "./out/extension.js",
  "contributes": {
    "commands": [
      {
        "command": "coveriteam-service-client.check",
        "title": "Check with CoVeriTeam"
      }
    ],
    "configuration": {
      "title": "CoVeriTeam Service",
      "properties": {
        "cvt.input.cvtfile": {
          "type": "string",
          "default": "",
          "markdownDescription": "File containing the CoVeriTeam combination description.\n\nThis is required even when executing only 1 actor.\n\nIt must be an absolute path.\n\nIf left empty, [this default](https://gitlab.com/live-lab/software/coveriteam-service/-/blob/b01113fe8fa7d7ea640c13101c02d5ddef14f6dd/use-cases/vsc-coveriteam-service-client/input-data/verifier-C.cvt) will be used."
        },
        "cvt.serviceURL": {
          "type": "string",
          "default": "https://coveriteam-service.sosy-lab.org",
          "description": "The base URL of the service to call."
        }
      }
    }
  },
  "repository": {
    "type": "git",
    "url": "https://gitlab.com/sosy-lab/software/coveriteam-service.git",
    "directory": "use-cases/vsc-coveriteam-service-client"
  },
  "scripts": {
    "vscode:prepublish": "npm run compile",
    "compile": "tsc -p ./",
    "watch": "tsc -watch -p ./",
    "pretest": "npm run compile && npm run lint",
    "lint": "eslint src --ext ts",
    "test": "node ./out/test/runTest.js"
  },
  "devDependencies": {
    "@types/glob": "^8.0.0",
    "@types/mocha": "^10.0.1",
    "@types/node": "16.x",
    "@types/vscode": "^1.74.0",
    "@typescript-eslint/eslint-plugin": "^5.45.0",
    "@typescript-eslint/parser": "^5.45.0",
    "@vscode/test-electron": "^2.2.0",
    "eslint": "^8.28.0",
    "glob": "^8.0.3",
    "mocha": "^10.1.0",
    "typescript": "^4.9.3"
  },
  "dependencies": {
    "axios": "^1.2.5",
    "jszip": "^3.10.1"
  }
}